TechDraw View/de: Difference between revisions

From FreeCAD Documentation
(Created page with "==Anwendung== # Markiere eine oder mehrere Objekte (Body, Body > Part, Part > Features, Draft Object, …siehe auch Hinweise) im 3D-Fenster oder in der Baumansicht. # Wenn im...")
(Created page with "==Optionen== Keine.")
Line 10: Line 10:
# Auf die Schaltfläche {{KEY|[[Image:Techdraw-view.png|24px]] [[TechDraw NewView/de|Neue Ansicht]]}} klicken.
# Auf die Schaltfläche {{KEY|[[Image:Techdraw-view.png|24px]] [[TechDraw NewView/de|Neue Ansicht]]}} klicken.


==Options==
==Optionen==
Keine.
None.


==Properties==
==Properties==

Revision as of 09:55, 23 April 2018

Neue Ansicht

Menüeintrag
TechDraw → Ansicht in Zeichnung einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Beschreibung

Das Werkzeug »Neue Ansicht« fügt eine Ansicht von einem oder mehreren Objekten in die Zeichnungsseite ein. Das ist der wesentliche Baustein der TechDraw Module. Die meisten anderen Ansichten werden in gewisser Weise wie »Neue Ansicht« abgeleitet.

File:ViewOfBox2.png

Anwendung

  1. Markiere eine oder mehrere Objekte (Body, Body > Part, Part > Features, Draft Object, …siehe auch Hinweise) im 3D-Fenster oder in der Baumansicht.
  2. Wenn im Dokument mehrere Seiten vorhanden sind, muss die gewünschte Seite in der Baumansicht markiert werden.
  3. Auf die Schaltfläche File:Techdraw-view.png Neue Ansicht klicken.

Optionen

Keine.

Properties

  • DatenX: The view's horizontal position on the page. (1)
  • DatenY: The view's vertical position on the page. (1)
  • DatenLockPosition: Prevents Views from being dragged in the Gui when true. The View can still be moved by changing X,Y properties. (1)
  • DatenRotation: Counterclockwise rotation of the View on the page in degrees. (1)
  • DatenScaleType: "Document": use the Page's scale setting. "Custom": use a scale unique to this view. "Automatic": fit view to page. (1)
  • DatenScale: A view will be rendered on the page in Scale:1 ratio to the Source. (1)
  • DatenCaption: Optional short text caption.
  • DatenSource: Links to the Drawable Objects to be depicted
  • DatenDirection: A vector representing the viewing direction. Common Directions are Front: (0,-1,0), Top: (0,0,1), Right: (1,0,0), Axo: (1,1,1). (1)
  • DatenPerspective: True for perspective projection, false for orthogonal projection.
  • DatenFocus: Distance from camera to projection plane for perspective projections. Needs to be adjusted to fit the object. Too far and the perspective is lost, too close and the object is distorted.
  • DatenCoarseView: If true, TechDraw will use a polygon approximation to calculate drawing geometry. If false, TechDraw will use a precision algorithm. See Notes.
  • DatenSmooth Visible Lines: Visible Smooth lines on/off.
  • DatenSeam Visible Lines: Visible Seam lines on/off.
  • DatenIso Visible Lines: Visible Isometric(u,v) lines on/off.
  • DatenHard Hidden Lines: Hidden lines on/off.
  • DatenSmooth Hidden Lines: Hidden Smooth lines on/off.
  • DatenSeam Hidden Lines: Hidden Seam lines on/off.
  • DatenIso Hidden Lines: Hidden Isometric(u,v) lines on/off.
  • DatenIso Count: Number of Isometric(u,v) lines to draw on each face.
  • AnsichtKeep Label: Always show View Label if true.
  • AnsichtLineWidth: The thickness of visible lines. See Line Groups.
  • AnsichtHiddenWidth: The thickness of hidden lines, if enabled.
  • AnsichtIsoWidth: The thickness of isometric(u,v) surface lines and Dimension lines.
  • AnsichtExtraWidth: not implemented yet.
  • AnsichtShowCenters: Circle/arc center marks on/off.
  • AnsichtCenterScale: Circular arc center mark size adjustment, if enabled.
  • AnsichtHorizCenterLine: Show a horizontal centerline through view.
  • AnsichtVertCenterLine: Show a vertical centerline through view.
  • AnsichtShowSectionLine: Show/hide section line if applicable.

(1) these properties are common to all View types.

Scripting

Views can be added to Pages using Python.

view = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewPart','View')
rc = page.addView(view)
FreeCAD.ActiveDocument.View.Source = [App.ActiveDocument.Box]
FreeCAD.ActiveDocument.View.Direction = (0.0,0.0,1.0)

Notes

  • View will draw anything with a Shape property. You can select Draft objects or Bodies also. View will also extract any shapes from objects within an App::Part container or a DocumentObject Group.
  • CoarseView can be much faster for complex models. The quality of the drawing is reduced, since every curve is approximated as a series of short line segments. Vertices are not displayed in CoarseView since each short segment would result in two new Vertices and the display becomes cluttered. Linear Dimensions can be added to a CoarseView, but are unlikely to be useful.
  • Note that CoarseView is affected by an upstream bug in OCCT (#3332) which causes the View's position on the Page to be slightly off from the specified X,Y values.